Get all rentable item assignments
https://api.propexo.com/v1/rentable-item-assignments/Get all rentable item assignments. This is the source of assignment history, including lease linkage, start/end dates, and status. GET /v1/rentable-items remains an inventory view.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
The Propexo unique identifier for the property
The Propexo unique identifier for the rentable item
The Propexo unique identifier for the lease
The Propexo unique identifier for the integration
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTThe property management system of record
Response
Successful response
- Array [
- ]
- Array [
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
The order of the results
Whether there are more results
The total number of results
Possible values: >= 0
1000results object[]required
The Propexo unique identifier for the rentable item assignment
clwktsp9v000008l31iv218hnThe date record first entered Propexo
2024-03-21T15:38:08.337ZThe date record was last updated in Propexo
2024-03-22T10:59:45.119ZThe date the record was last seen from the PMS
2024-03-22T10:59:45.119ZThe external ID from the integration vendor
| Method | Interface |
|---|---|
| /ItfLeaseRenewal/GetRentableItems | Common Data |
14891The external ID of the property from the integration vendor
| Method | Interface |
|---|---|
| /ItfLeaseRenewal/GetRentableItems | Common Data |
testprop1The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
This field will always be null for YARDI_REST
nullThe external ID of the rentable item from the integration vendor
| Method | Interface |
|---|---|
| /ItfLeaseRenewal/GetRentableItems | Common Data |
14891The external ID of the lease from the integration vendor
| Method | Interface |
|---|---|
| /ItfLeaseRenewal/GetRentableItems | Common Data |
t0036820The start date associated with the rentable item assignment
This field will always be null for YARDI_REST
nullThe end date associated with the rentable item assignment
This field will always be null for YARDI_REST
nullThe amount of the rentable item assignment, in cents
| Method | Interface |
|---|---|
| /ItfLeaseRenewal/GetRentableItems | Common Data |
40000The raw value for amount from the PMS
| Method | Interface |
|---|---|
| /ItfLeaseRenewal/GetRentableItems | Common Data |
400.00The raw status associated with the rentable item assignment
This field will always be null for YARDI_REST
nullcustom_data object | nullrequired
The Propexo unique identifier for the rentable item
| Method | Interface |
|---|---|
| /ItfLeaseRenewal/GetRentableItems | Common Data |
cm2dtyq1600008loze5xgf3fcThe Propexo unique identifier for the lease
| Method | Interface |
|---|---|
| /ItfLeaseRenewal/GetRentableItems | Common Data |
cj315naihue600008r9mx9m6cThe Propexo unique identifier for the integration
clwh5u07w000508me66sfh3umThe property management system of record
Show 13 enum values
YARDI_RESTAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTThe Propexo unique identifier for the property
clwi5xiix000008l6ctdgafyhErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/rentable-item-assignments/ \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "14891",
"x_property_id": "testprop1",
"x_location_id": null,
"x_rentable_item_id": "14891",
"x_lease_id": "t0036820",
"start_date": null,
"end_date": null,
"amount_in_cents": 40000,
"amount_raw": "400.00",
"status_raw": null,
"custom_data": "Unknown Type: object,null",
"rentable_item_id": "cm2dtyq1600008loze5xgf3fc",
"lease_id": "cj315naihue600008r9mx9m6c",
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "YARDI_REST",
"property_id": "clwi5xiix000008l6ctdgafyh"
}
]
}